from __future__ import unicode_literals


PAYMENT_SUCCESS = '00'
INVALID_MERCHANT = '03'
INVALID_AMOUNT = '13'
INVALID_ORDER = '14'
ORDER_CANCELLED = '17'
INVALID_CUSTOMER = '18'
SUBSCRIPTION_EXPIRED = '21'
FORMAT_ERROR = '30'
REQUESTED_FUNCTION_NOT_SUPPORTED = '40'
ORDER_IS_EXPIRED = '54'
INCORRECT_USER_OR_PASSWORD = '55'
NOT_ACTIVE = '56'
SECURITY_VIOLATION = '63'
INTERNAL_ERROR = '66'
UNREGISTERED_ENTITY = '82'
PARAMETER_IS_MANDATORY = '83'
UNREGISTERED_PARAMETERS = '84'
INSUFFICIENT_PARAMETERS = '85'
SYSTEM_MALFUNCTION = '96'


FASPAY_PAYMENT_RESPONSE_STATUSES = (
    PAYMENT_SUCCESS,
    INVALID_MERCHANT,
    INVALID_AMOUNT,
    INVALID_ORDER,
    ORDER_CANCELLED,
    INVALID_CUSTOMER,
    SUBSCRIPTION_EXPIRED,
    FORMAT_ERROR,
    REQUESTED_FUNCTION_NOT_SUPPORTED,
    ORDER_IS_EXPIRED,
    INCORRECT_USER_OR_PASSWORD,
    NOT_ACTIVE,
    SECURITY_VIOLATION,
    INTERNAL_ERROR,
    UNREGISTERED_ENTITY,
    PARAMETER_IS_MANDATORY,
    UNREGISTERED_PARAMETERS,
    INSUFFICIENT_PARAMETERS,
    SYSTEM_MALFUNCTION,
)

RESPONSE_DESC_SUCCESS = 'sukses'
